Bug 1315862 - [RFE] allow content view filter to specify arch
[RFE] allow content view filter to specify arch
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.0.4
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Andrew Kofink
Evgeni Golov
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
: 1108686 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 14:39 EST by Tom McKay
Modified: 2018-02-21 11:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cv repo list (105.17 KB, image/png)
2017-08-16 03:49 EDT, Evgeni Golov
no flags Details
cv filter (89.16 KB, image/png)
2017-08-16 03:50 EDT, Evgeni Golov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14107 None None None 2016-04-22 11:00 EDT

  None (edit)
Description Tom McKay 2016-03-08 14:39:56 EST
A filter of zlib=1.2.7-15.el7 will pick up both zlib-1.2.7-15.el7.x86_64 and zlib-1.2.7-15.el7.i686. The request is to allow a filter of zlib=1.2.7-15.el7.x86_64 (specifying this today ignores the x86_64 and includes both packages).
Comment 1 Tom McKay 2016-03-08 14:39:57 EST
Created from redmine issue http://projects.theforeman.org/issues/14107
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:33:12 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Brad Buckingham 2016-09-29 10:30:00 EDT
*** Bug 1108686 has been marked as a duplicate of this bug. ***
Comment 7 Bryan Kearney 2016-10-17 14:10:24 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14107 has been resolved.
Comment 8 Evgeni Golov 2017-08-16 03:49:12 EDT
VERIFIED

Version Tested:
Satellite 6.3 Snap 11

I created a CV with
 - Red Hat Satellite Tools 6.2 for RHEL 6 Server RPMs i386
 - Red Hat Satellite Tools 6.2 for RHEL 6 Server RPMs x86_64
I created an exclude filter with
 - name: *, arch: x86_64, version: all

(silly example, I know, but it should work :))

after publishing the CV, I only see i386 and noarch RPMs in the CV, so the filter works as intended.
Comment 9 Evgeni Golov 2017-08-16 03:49 EDT
Created attachment 1313983 [details]
cv repo list
Comment 10 Evgeni Golov 2017-08-16 03:50 EDT
Created attachment 1313984 [details]
cv filter
Comment 11 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.